# Uses of Class
org.apache.sysds.runtime.matrix.data.WeightedCell

Packages that use WeightedCell
Package
Description
org.apache.sysds.runtime.instructions.spark
org.apache.sysds.runtime.instructions.spark.functions

## Uses of WeightedCell in org.apache.sysds.runtime.instructions.spark

Methods in org.apache.sysds.runtime.instructions.spark with parameters of type WeightedCell
Modifier and Type
Method
Description
`MatrixCell`
ParameterizedBuiltinSPInstruction.CreateMatrixCell.`call(WeightedCell kv)`

## Uses of WeightedCell in org.apache.sysds.runtime.instructions.spark.functions

Methods in org.apache.sysds.runtime.instructions.spark.functions that return WeightedCell
Modifier and Type
Method
Description
`WeightedCell`
PerformGroupByAggInCombiner.`call(WeightedCell value1, WeightedCell value2)`
`WeightedCell`
PerformGroupByAggInReducer.`call(Iterable<WeightedCell> kv)`
Methods in org.apache.sysds.runtime.instructions.spark.functions that return types with arguments of type WeightedCell
Modifier and Type
Method
Description
`Iterator<scala.Tuple2<MatrixIndexes,WeightedCell>>`
ExtractGroup.ExtractGroupBroadcast.`call(scala.Tuple2<MatrixIndexes,MatrixBlock> arg)`
`Iterator<scala.Tuple2<MatrixIndexes,WeightedCell>>`
ExtractGroup.ExtractGroupJoin.`call(scala.Tuple2<MatrixIndexes,scala.Tuple2<MatrixBlock,MatrixBlock>> arg)`
`Iterator<scala.Tuple2<MatrixIndexes,WeightedCell>>`
ExtractGroupNWeights.`call(scala.Tuple2<MatrixIndexes,scala.Tuple2<scala.Tuple2<MatrixBlock,MatrixBlock>,MatrixBlock>> arg)`
Methods in org.apache.sysds.runtime.instructions.spark.functions with parameters of type WeightedCell
Modifier and Type
Method
Description
`WeightedCell`
PerformGroupByAggInCombiner.`call(WeightedCell value1, WeightedCell value2)`
Method parameters in org.apache.sysds.runtime.instructions.spark.functions with type arguments of type WeightedCell
Modifier and Type
Method
Description
`WeightedCell`
PerformGroupByAggInReducer.`call(Iterable<WeightedCell> kv)`